import pygame
pygame.init()

class Label(pygame.sprite.Sprite):
    def __init__(self, text, pos, font, color):
        pygame.sprite.Sprite.__init__(self)
        self.text, self.pos, self.font, self.color = text, pos, font, color
        self.update()
        
    def update(self):
        self.image = self.font.render(self.text, 1, self.color)
        self.rect = self.image.get_rect()
        self.rect.topleft = self.pos


class Bar(pygame.sprite.Sprite):
    def __init__(self, width, length, pos, color = (255, 255, 255)):
        pygame.sprite.Sprite.__init__(self)
        self.width, self.length, self.color, self.pos = width, length, color, pos
        self.update()

    def update(self):
        if self.length < 0:
            self.length = 0
        self.image = pygame.Surface((self.length, self.width))
        self.image = self.image.convert()
        self.image.fill(self.color)
        self.rect = self.image.get_rect()
        self.rect.topleft = self.pos
        
