"""misc.py
Miscellaneous sprites for my Pyweek 8 entry.
by Ben Delaney"""

import pygame, random
pygame.init()

class Poisinbug(pygame.sprite.Sprite):
    def __init__(self, weed, Bugman, groups, flowergroup, groundLevel = 440):
        self.Bugman, self.flowergroup = Bugman, flowergroup
        pygame.sprite.Sprite.__init__(self, groups)
        self.damagetimer = 0
        self.direction = random.randrange(2)
        
        if self.direction:
            self.x = weed.rect.left
            self.dx = -3
            self.image = pygame.image.load("data/Bug_left.png")
        else:
            self.x = weed.rect.right
            self.dx = 3
            self.image = pygame.image.load("data/Bug_right.png")


        self.image.convert_alpha()
        self.rect = self.image.get_rect()
        self.rect.bottom = groundLevel
        self.rect.centerx = self.Bugman.scroll + self.x



    def check_collision(self):
        if self.damagetimer:
            self.damagetimer -= 1
        if self.rect.colliderect(self.Bugman):
            self.Bugmanprevbottom = self.Bugman.rect.bottom - self.Bugman.dy
            if self.Bugmanprevbottom <= self.rect.top:
                self.Bugman.score += 10
                self.kill()
            else:
                if not self.damagetimer:
                    self.Bugman.health -= 5
                    self.damagetimer = 10
##
##        flowercollision = pygame.sprite.spritecollide(self, self.flowergroup, False)
##        if flowercollision:
##            for flower in flowercollision:
##                if self.direction:
##                    self.x = flower.rect.center - 50
##                else:
##                    self.x = flower.rect.center + 50
##                self.dx = 0
##                if not self.damagetimer:
##                    flower.damage(1)
##                    self.damagetimer = 10
##                
            

    def move(self):
        self.x += self.dx
        self.rect.centerx = self.Bugman.scroll + self.x
        
    
    def update(self):
        self.check_collision()
        self.move()
