"""plants.py
classes for my pyweek 8 entry.
Copyright 2009 Ben Delaney"""

import pygame, random, misc
pygame.init()

class Plant(pygame.sprite.Sprite):
    def __init__(self, x, Bugman, groups = False, groundlevel = 440):
        self.x, self.Bugman = x, Bugman
        
        if groups:
            pygame.sprite.Sprite.__init__(self, groups)
        else:
            pygame.sprite.Sprite.__init__(self)

    def update(self):
        self.rect.centerx = self.Bugman.scroll + self.x
        
        
class Flower(Plant):
    def __init__(self, x, Bugman, groups = False, groundlevel = 440, color = "random"):

        Plant.__init__(self, x, Bugman, groups, groundlevel)
        self.color = color
        
        self.loadimage()
        self.rect.bottom = groundlevel
        self.rect.centerx = self.Bugman.scroll + self.x

        
    def loadimage(self):
        if self.color == "random":
            colors = [ "pink", "red", "blue", "magenta"]
            self.color = random.choice(colors)

        self.image = pygame.image.load("data/Flower_%s.png" % self.color)
        self.rect = self.image.get_rect()
            
    def damage (self):
        self.health -= 1
        if not self.health:
            self.kill

    def update(self):
        Plant.update(self)


class Weed(Plant):
    def __init__(self, x, Bugman, groups = False, flowergroup = False, groundlevel = 440):
        self.groups, self.flowergroup = groups, flowergroup
        Plant.__init__(self, x, Bugman, groups, groundlevel)
        self.image = pygame.image.load("data/Weed.png")
        self.rect = self.image.get_rect()
        self.rect.bottom = groundlevel
        self.damagetimer = 0

    def collisioncheck(self):
        if self.damagetimer:
            self.damagetimer -= 1

        else:
            if self.rect.colliderect(self.Bugman):
                self.Bugman.health -= 10
                self.damagetimer = 15
                
    def createbug(self):
        if not random.randrange(600):
            misc.Poisinbug(self, self.Bugman, self.groups, self.flowergroup)
            

    def update(self):
        Plant.update(self)
        self.collisioncheck()
        self.createbug()
